Subject: Re: NT registry backup
From: [email-masked] (Allan Peda)

3 Jul 1998 23:28:11 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: Larry Hall <[email-masked]>
Cc: [email-masked]

I do believe the Win32 port of perl (and there is a CyGNUs port at
<http://www.qub.com/group>) has a module to read / write (and as a
result search / grep) the registry.  I haven't used it, but a very
intelligent Windows API programmer friend swears by it to search and
edit the registry (back it up first).

Allan

Larry Hall wrote:
> 
> This is way off-topic for this list but I thought some kind soul might be
> able to help me out or at least direct me to a mail list that could
> (preferably one that doesn't require joining first!;-))  I'm trying to
> figure out how to open, read, and write restricted permission files (like
> the registry) on NT.  I don't care about 9x (never have!;-))  I've searched
> through MS docs and on the net.  I've found a few examples but nothing that
> really clarifies what needs to be done to access files like this.  If
> someone could point me to a good source, I'd appreciate it.  I know about
> BackupRead/BackupWrite and the need to add backup privileges to my
> process but I'm still having trouble getting CreateFile to return a handle
> for an access mode of "GENERIC_READ" or "GENERIC_WRITE" (I can get a handle
> if I use 0 here but then I can't read or write.) Also, to benefit all the
> people on this list that don't want their mail boxes cluttered with mail on
> this subject, please email me directly (flames too).  If there's sufficient
> interest from people, I am willing to publish the results of my query at some
> later date.
> 
> TIA,
> 
> Larry Hall                              [email-masked]
> RFK Partners, Inc.                      (781) 239-1053
> 8 Grove Street                          (781) 239-1655 - FAX
> Wellesley, MA  02181                    http://www.rfk.com
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".